com.sun.j3d.utils.scenegraph.io

## Class UnresolvedBehavior

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Leaf
      - - javax.media.j3d.Behavior
        - - com.sun.j3d.utils.scenegraph.io.UnresolvedBehavior

-     public class UnresolvedBehavior
      extends Behavior

  This Behavior is used in place of any behaviors which can not be instantiated when a scene graph is read. This behavior is always disabled when it initalizes. It just provides an indicator in the scene graph that a Behavior is missing. This normally means the Behavior is not present in the classpath.

- - ### Field Summary

    - ### Fields inherited from class javax.media.j3d.Node

      `ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedBehavior()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()` Initialize this behavior.
    `void` | `processStimulus(java.util.Enumeration enumeration)` Process a stimulus meant for this behavior.

    - ### Methods inherited from class javax.media.j3d.Behavior

      `getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

    - ### Methods inherited from class javax.media.j3d.Node

      `cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

    - ### Methods inherited from class javax.media.j3d.SceneGraphObject

      `clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedBehavior

          public UnresolvedBehavior()

  - ### Method Detail

    - #### initialize

          public void initialize()

      Description copied from class: `Behavior`
      Initialize this behavior. Classes that extend Behavior must provide their own initialize method.
      NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.
      Specified by:
        `initialize` in class `Behavior`

    - #### processStimulus

          public void processStimulus(java.util.Enumeration enumeration)

      Description copied from class: `Behavior`
      Process a stimulus meant for this behavior. This method is invoked if the Behavior's wakeup criteria are satisfied and an active ViewPlatform's activation volume intersects with the Behavior's scheduling region. Classes that extend Behavior must provide their own processStimulus method.
      NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.
      Specified by:
        `processStimulus` in class `Behavior`
      Parameters:
        `enumeration` - an enumeration of triggered wakeup criteria for this behavior

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.